﻿using System.Collections.Generic;
using System.Linq;
using OutputCachingDemo.Core.Models;
using OutputCachingDemo.Core.Repositories;
using OutputCachingDemo.Infrastructure.Data;

namespace OutputCachingDemo.Infrastructure.Repositories
{
    public class CustomerRepository: ICustomerRepository
    {
        readonly CustomerContext _context;
        
        public CustomerRepository(CustomerContext context)
        {
            _context = context;
        }

        public void Create(Customer customer)
        {
            _context.Customers.Add(customer);
            _context.SaveChanges();
        }

        public IList<Customer> GetTopCustomers()
        {
            return _context.Customers.ToList();
        }
    }
}
