﻿using System.Web.Mvc;
using OutputCachingDemo.Core.Models;
using OutputCachingDemo.Core.Repositories;
using OutputCachingDemo.Infrastructure.Data;
using OutputCachingDemo.Infrastructure.Repositories;

namespace OutputCachingDemo.Site.Controllers
{
    public class CustomersController : Controller
    {
        readonly ICustomerRepository _repository;

        public CustomersController()
        {
            _repository = new CustomerRepository(new CustomerContext());
        }

        public ActionResult Create()
        {
            return View("Create", new Customer());
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Create(Customer customer)
        {
            _repository.Create(customer);

            return View("Details", customer);    
        }

        [OutputCache(Duration = 60, VaryByParam = "none")]
        public ActionResult TopCustomers()
        {
            var topCustomers = _repository.GetTopCustomers();
            return View("TopCustomers", topCustomers);
        }
    }
}
